
Foreman - Bug #4349

user json missing organizations, locations, and roles

02/14/2014 09:32 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

main.json.rabl needs

child :organizations => :organizations do

attributes :id, :name

end

child :locations => :locations do

attributes :id, :name

end

child :roles => :roles do

attributes :id, :name

end

Related issues:

Related to Foreman - Bug #4198: api v2 arch does not return operating systems Closed 01/27/2014

Blocks Hammer CLI - Feature #2843: Listing associated resources for locations... Closed

Associated revisions

Revision 8d113bd8 - 02/21/2014 04:29 PM - Joseph Magen

fixes #4349 - API v2 - add location and organization child nodes to user, domain, subnet, etc show json templates

History

#1 - 02/17/2014 08:42 AM - Dominic Cleal

- Related to Bug #4198: api v2 arch does not return operating systems added

#2 - 02/17/2014 09:06 AM - Joseph Magen

Tom, I suggest to put the child nodes in show.json.rabl, but not in main.json.rabl, since this would appear for api/users

#3 - 02/17/2014 09:09 AM - Joseph Magen

- Status changed from New to Assigned

current users/show.json.rabl has roles, but I will add locations/organizations

#4 - 02/17/2014 09:14 AM - Dominic Cleal

- Blocks Feature #2843: Listing associated resources for locations and orgs added

#5 - 02/21/2014 04:24 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Assignee set to Joseph Magen

- Target version set to 1.9.1
- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1208

#6 - 02/21/2014 05:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8d113bd816173e21c82c092fb0d908ca332cb0fe.

Powered by TCPDF (www.tcpdf.org)

05/10/2024 2/2

https://github.com/theforeman/foreman/pull/1208
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8d113bd816173e21c82c092fb0d908ca332cb0fe
http://www.tcpdf.org

